Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class JsfUtils

    java.lang.Object
      org.springframework.faces.webflow.JsfUtils

    public class JsfUtils

extends java.lang.Object

Common support for the JSF integration with Spring Web Flow.

Author:
  Jeremy Grelle

Constructor Summary
`JsfUtils()`

Method Summary
`static boolean` | `isAsynchronousFlowRequest()`
`static boolean` | `isFlowRequest()`
`static void` | `notifyAfterListeners(javax.faces.event.PhaseId phaseId, javax.faces.lifecycle.Lifecycle lifecycle, javax.faces.context.FacesContext context)`
`static void` | `notifyBeforeListeners(javax.faces.event.PhaseId phaseId, javax.faces.lifecycle.Lifecycle lifecycle, javax.faces.context.FacesContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsfUtils

    public JsfUtils()

Method Detail

### notifyAfterListeners

    public static void notifyAfterListeners(javax.faces.event.PhaseId phaseId,
                                            javax.faces.lifecycle.Lifecycle lifecycle,
                                            javax.faces.context.FacesContext context)

### notifyBeforeListeners

    public static void notifyBeforeListeners(javax.faces.event.PhaseId phaseId,
                                             javax.faces.lifecycle.Lifecycle lifecycle,
                                             javax.faces.context.FacesContext context)

### isFlowRequest

    public static boolean isFlowRequest()

### isAsynchronousFlowRequest

    public static boolean isAsynchronousFlowRequest()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD